Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchSecretMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundMessages>
it.tdlight.jni.TdApi.SearchSecretMessages

Enclosing class:
  TdApi

public static final class TdApi.SearchSecretMessages extends TdApi.Function<TdApi.FoundMessages>
Searches for messages in secret chats. Returns the results in reverse chronological order. For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat in which to search.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.SearchMessagesFilter`
`filter`
Additional filter for messages to search; pass null to search for all messages.
`int`
`limit`
The maximum number of messages to be returned; up to 100.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`String`
`query`
Query to search for.

## Constructor Summary

Constructors
Constructor
Description
`SearchSecretMessages()`
Searches for messages in secret chats.
`SearchSecretMessages(long chatId, String query, String offset, int limit, TdApi.SearchMessagesFilter filter)`
Searches for messages in secret chats.
`SearchSecretMessages(DataInput input)`
Searches for messages in secret chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat in which to search. Specify 0 to search in all secret chats.

### query

public String query
Query to search for. If empty, searchChatMessages must be used instead.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### filter

public TdApi.SearchMessagesFilter filter
Additional filter for messages to search; pass null to search for all messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchSecretMessages

public SearchSecretMessages()
Searches for messages in secret chats. Returns the results in reverse chronological order. For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

### SearchSecretMessages

public SearchSecretMessages(long chatId, String query, String offset, int limit, TdApi.SearchMessagesFilter filter)
Searches for messages in secret chats. Returns the results in reverse chronological order. For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

Parameters:
  `chatId` - Identifier of the chat in which to search. Specify 0 to search in all secret chats.
  `query` - Query to search for. If empty, searchChatMessages must be used instead.
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of messages to be returned; up to 100. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
  `filter` - Additional filter for messages to search; pass null to search for all messages.

  Returns `FoundMessages`

### SearchSecretMessages

public SearchSecretMessages(DataInput input) throws IOException
Searches for messages in secret chats. Returns the results in reverse chronological order. For optimal performance, the number of returned messages is chosen by TDLib.

Returns `FoundMessages`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`